REST API v1
Messages
Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.
Messages of a conversation
GET /conversations/{id}/messages
Scope messages:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · string | |
after | query · string | |
limit | query · integer |
Send a reply
POST /conversations/{id}/messages
Scope messages:write · Cost 2
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · string | |
Idempotency-Key | header · string |
Request body (JSON)
| Name | Type | Description |
|---|---|---|
html required | string | |
parent_id | string | |
macro | object | |
attachment_ids | array of string | |
send_at | string | |
if_no_reply | boolean | |
send_now | boolean | |
seen_message_id | string | |
signature | boolean | |
then | object | |
cc | array of string | |
channel | string | One of: widget, email, form, portal, api, whatsapp, messenger, instagram, sms, telegram, review, social_comment, slack, discord, teams, x, custom, internal, forum |
bcc | array of string | |
rich | object |
Add an internal note
POST /conversations/{id}/notes
Scope notes:write · Cost 2
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · string | |
Idempotency-Key | header · string |
Request body (JSON)
| Name | Type | Description |
|---|---|---|
html required | string | |
parent_id | string | |
macro | object | |
attachment_ids | array of string |